﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Initialize RS-232 /5128
INSTRUMENT:            Sub Identification RS-232 /5128
INSTRUMENT:            Sub Reset RS-232 /5128
INSTRUMENT:            Sub Operate RS-232 /5128
INSTRUMENT:            Sub Standby RS-232 /5128
INSTRUMENT:            Sub Warmup RS-232 /5128
DATE:                  2018-03-15 12:06:12
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23125 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       160
CONFIGURATION:         Fluke 5128A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Fluke Calibration
#        5128A
#        RHapid-Cal Humidity Generator
#        Operators Manual
#        December 2016
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INITIALIZE                   PSUB("Initialize")
  1.002  JMPL         IDENTIFICATION               PSUB("Identification")
  1.003  JMPL         RESET                        PSUB("Reset")
  1.004  JMPL         OPERATE                      PSUB("Operate")
  1.005  JMPL         STANDBY                      PSUB("Standby")
  1.006  JMPL         WARMUP                       PSUB("Warmup")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub Initialize RS-232 /5128  =======================================

  2.001  LABEL        INITIALIZE
  2.002  PORT         [@5128A][OTERM CR][TERM CR]

# Return Format:  <cr><lf>'>'
# Therefore [CLR] must be performed to flush the Windows serial buffer.
  2.003  RESET        [@5128A]STANDBY ON[13][CLR]

  2.004  MATH         @5128A_DevName = "Fluke 5128A"
  2.005  MATH         @5128A_Conf    = CONF(@5128A_DevName)

  2.006  END

  2.007  EVAL   Increment test number

# =====  Sub Identification RS-232 /5128  ===================================

  3.001  LABEL        IDENTIFICATION
  3.002  MATH         @Cmd = "ID"
  3.003  CALL         Sub Send Command, Read String RS-232 /5128

  3.004  MATH         Manufacturer = FLD(MEM2, 1, ",")
  3.005  MATH         ModelNum     = FLD(MEM2, 2, ",")

  3.006  MATH         L[1] = ZCMP(Manufacturer, "FLUKE")
  3.007  MATH         L[1] = ZCMP(ModelNum, "5128A") && L[1]

  3.008  MATH         @Error = NOT(L[1])

  3.009  IF           NOT(@Error)
  3.010  MATH         SerialNum   = FLD(MEM2, 3, ",")
  3.011  MATH         FirmwareRev = FLD(MEM2, 4, ",")

  3.012  MATH         DevName  = INSTR("5128A")
  3.013  MATH         AssetNum = ASSET(DevName)

  3.014  IF           NOT(EMPTY(AssetNum))
  3.015  MATH         AssetSN = SN(AssetNum)
  3.016  MATH         @Error = NOT(ZCMP(SerialNum, AssetSN))

  3.017  IF           @Error
  3.018  DISP         REFERENCE CONFIGURATION ERROR!
  3.018  DISP
  3.018  DISP         Configured
  3.018  DISP         [32] Name:          [V DevName]
  3.018  DISP         [32] Serial Number: [V AssetSN]
  3.018  DISP
  3.018  DISP         Connected
  3.018  DISP         [32] Name:          [V Manufacturer] [V ModelNum]
  3.018  DISP         [32] Serial Number: [V SerialNum]
  3.019  ENDIF

  3.020  ENDIF        ; NOT(EMPTY(AssetNum))

  3.021  ENDIF        ; NOT(@Error)

  3.022  END

  3.023  EVAL   Increment test number

# =====  Sub Reset RS-232 /5128  ============================================

  4.001  LABEL        RESET
  4.002  MATH         @Cmd = "BOOT"
  4.003  CALL         Sub Send Command RS-232 /5128
  4.004  WAIT         -t 30 5128A Resetting...
  4.005  END

  4.006  EVAL   Increment test number

# =====  Sub Operate RS-232 /5128  ==========================================

  5.001  LABEL        OPERATE
  5.002  MATH         @Cmd = "STANDBY OFF"
  5.003  CALL         Sub Send Command RS-232 /5128
  5.004  END

  5.005  EVAL   Increment test number

# =====  Sub Standby RS-232 /5128  ==========================================

  6.001  LABEL        STANDBY
  6.002  MATH         @Cmd = "STANDBY ON"
  6.003  CALL         Sub Send Command RS-232 /5128
  6.004  END

  6.005  EVAL   Increment test number

# =====  Sub Warmup RS-232 /5128  ===========================================

  7.001  LABEL        WARMUP
  7.002  MATH         @Cmd = "WARMUP"

  7.003  DO
  7.004  MATH         L[1] = ZCMP(MEM2, "Heating Off")

  7.005  IF           NOT(L[1])
  7.006  HEAD         -2 5128A Heating...
  7.007  WAIT         [D2000]
  7.008  ENDIF

  7.009  CALL         Sub Send Command, Read String RS-232 /5128
  7.010  UNTIL        L[1]

  7.011  HEAD         -2
  7.012  END
