﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Set Humidity Offset RS-232 /5128
INSTRUMENT:            Sub Set Temperature Offset RS-232 /5128
INSTRUMENT:            Sub Set Humidity RS-232 /5128
INSTRUMENT:            Sub Set Temperature RS-232 /5128
INSTRUMENT:            Sub Get Humidity RS-232 /5128
INSTRUMENT:            Sub Get Temperature RS-232 /5128
DATE:                  2018-03-15 05:50:47
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23089 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       93
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Fluke Calibration
#        5128A
#        RHapid-Cal Humidity Generator
#        Operators Manual
#        December 2016
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SET_HUMIDITY_OFFSET          PSUB("Humidity Offset")
  1.002  JMPL         SET_TEMPERATURE_OFFSET       PSUB("Temperature Offset")
  1.003  JMPL         SET_HUMIDITY                 PSUB("Set Humidity")
  1.004  JMPL         SET_TEMPERATURE              PSUB("Set Temperature")
  1.005  JMPL         GET_HUMIDITY                 PSUB("Get Humidity")
  1.006  JMPL         GET_TEMPERATURE              PSUB("Get Temperature")
  1.007  DISP         Subprocedure not found!
  1.008  END

# =====  Sub Set Humidity Offset RS-232 /5128  ==============================

  1.009  LABEL        SET_HUMIDITY_OFFSET
  1.010  MATH         @Cmd = "HOFFSET " & @5128A_HumidityOffset
  1.011  CALL         Sub Send Command RS-232 /5128
  1.012  END

# =====  Sub Set Temperature Offset RS-232 /5128  ===========================

  1.013  LABEL        SET_TEMPERATURE_OFFSET
  1.014  MATH         @Cmd = "TOFFSET " & @5128A_TemperatureOffset
  1.015  CALL         Sub Send Command RS-232 /5128
  1.016  END

# =====  Sub Set Humidity RS-232 /5128  =====================================

  1.017  LABEL        SET_HUMIDITY
  1.018  MATH         @Cmd = "HSET " & @5128A_SetHumidity
  1.019  CALL         Sub Send Command RS-232 /5128
  1.020  END

# =====  Sub Set Temperature RS-232 /5128  ==================================

  1.021  LABEL        SET_TEMPERATURE
  1.022  MATH         @Cmd = "TSET " & @5128A_SetTemperature
  1.023  CALL         Sub Send Command RS-232 /5128
  1.024  END

# =====  Sub Get Humidity RS-232 /5128  =====================================

  1.025  LABEL        GET_HUMIDITY
  1.026  MATH         @Cmd = "HREAD"
  1.027  CALL         Sub Send Command, Read Number RS-232 /5128
  1.028  MATH         @5128A_pctRH = MEM
  1.029  END

# =====  Sub Get Temperature RS-232 /5128  ==================================

  1.030  LABEL        GET_TEMPERATURE
  1.031  MATH         @Cmd = "TREAD"
  1.032  CALL         Sub Send Command, Read Number RS-232 /5128
  1.033  MATH         @5128A_degC = MEM
  1.034  END
