﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Set Humidity & Temperature RS-232 /5128
DATE:                  2018-03-19 14:37:53
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23144 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       71
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Fluke Calibration
#        5128A
#        RHapid-Cal Humidity Generator
#        Operators Manual
#        December 2016
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Set Temperature RS-232 /5128
  1.002  CALL         Sub Set Humidity RS-232 /5128
  1.003  CALL         Sub Operate RS-232 /5128

# Monitor the actual temperature and humidity. Chamber stabilization is
# typically reached when the actual temperature is within 0.1 °C of the set
# temperature, and the actual humidity is within 0.2 % of the set humidity.

  1.004  MATH         SetPt = "Set: " & @5128A_SetTemperature & " °C, "
  1.005  MATH         SetPt = SetPt & @5128A_SetHumidity & " %RH, Actual: "

# Take 5 readings, 2 s apart.
  1.006  DO
  1.007  WAIT         -t 10 Settling...
  1.008  MATH         L[1] = 1

  1.009  DO
  1.010  WAIT         [D2000]
  1.011  CALL         Sub Get Temperature RS-232 /5128
  1.012  CALL         Sub Get Humidity RS-232 /5128
  1.013  MEM2         =[V SetPt][V @5128A_degC] °C, [V @5128A_pctRH] %RH
  1.014  HEAD         -2 [MEM2]
  1.015  MATH         L[2] = ABS(@5128A_SetTemperature - @5128A_degC)
  1.016  MATH         L[3] = ABS(@5128A_SetHumidity - @5128A_pctRH)
  1.017  MATH         LSET((L[1] +  9), L[2])
  1.018  MATH         LSET((L[1] + 19), L[3])
  1.019  MATH         L[1] = L[1] + 1
  1.020  UNTIL        L[1] > 5

  1.021  MATH         L[31] = MAX_L(10, 15)
  1.022  MATH         L[32] = MAX_L(20, 25)
  1.023  UNTIL        (L[31] < 0.1) && (L[32] < 0.2)

  1.024  HEAD         -2
  1.025  END
